Bug 246257 - HPLIP needs to write to usbfs_t
Summary: HPLIP needs to write to usbfs_t
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 218605
TreeView+ depends on / blocked
 
Reported: 2007-06-29 16:47 UTC by Tim Waugh
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:10:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hplip-usbfs.patch (622 bytes, patch)
2007-06-29 16:48 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2007-06-29 16:47:46 UTC
Description of problem:
Newer versions of HPLIP (1.7.4a onwards) need to be able to write to usbfs_t. 
2.x.x does this as cupsd_t (straight from the CUPS backend), while 1.x.x does it
from hpiod which is hplip_t.

Comment 1 Tim Waugh 2007-06-29 16:48:26 UTC
Created attachment 158222 [details]
hplip-usbfs.patch

Comment 2 Daniel Walsh 2007-07-02 01:17:57 UTC
Fixed in selinux-policy-2.6.4-24

Comment 3 Tim Waugh 2007-07-06 11:28:32 UTC
Fix confirmed.  Thanks.

Comment 4 Daniel Walsh 2007-08-22 14:10:54 UTC
Closing as fixes are in the current release


Note You need to log in before you can comment on or make changes to this bug.